# Uses of Class
org.eclipse.ltk.core.refactoring.TextEditBasedChange

Packages that use TextEditBasedChange
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.

## Uses of TextEditBasedChange in org.eclipse.ltk.core.refactoring

Subclasses of TextEditBasedChange in org.eclipse.ltk.core.refactoring
Modifier and Type
Class
Description
`class`
`DocumentChange`
A text change that operates directly on instances of `IDocument`.
`class`
`MultiStateTextFileChange`
A multi state text file change is a special change object that applies a sequence of `text edit trees` to a document.
`class`
`TextChange`
A text change is a special change object that applies a `text edit tree` to a document.
`class`
`TextFileChange`
A special `TextChange` that operates on a `IFile`.
Methods in org.eclipse.ltk.core.refactoring that return TextEditBasedChange
Modifier and Type
Method
Description
`TextEditBasedChange`
TextEditBasedChangeGroup.`getTextEditChange()`
Returns the text edit change this group belongs to.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type TextEditBasedChange
Modifier
Constructor
Description
``
`TextEditBasedChangeGroup(TextEditBasedChange change, TextEditGroup group)`
Creates new `TextEditBasedChangeGroup` for the given `TextEditBasedChange` and `TextEditGroup`.

## Uses of TextEditBasedChange in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return TextEditBasedChange
Modifier and Type
Method
Description
`final TextEditBasedChange`
TextEditChangeNode.`getTextEditBasedChange()`
Returns the `TextEditBasedChange` this node is associated with.
Constructors in org.eclipse.ltk.ui.refactoring with parameters of type TextEditBasedChange
Modifier
Constructor
Description
``
`TextEditChangeNode(TextEditBasedChange change)`
Creates a new text edit change node for the given change.